Create single order

Create an order for one or more single-payment products

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Before you create a single payment order

Create a product in the UI with the product_type of single_payment. Create a customer in the API or UI, or import a CSV file of customers in the UI.


Customers in orders

The get customer response includes two identifiers: the system customer id, which is an integer, and the merchant's customer identifier or customer_id, which is an alphanumeric string. To create an order for the customer, set the order's customer_id to the system customerid.

The create order response will return the merchant's customer identifier as the customer_id and then in the order customer object, it will return the system customer id.


Products in single payment orders

You can use one or more single payment products to create a single payment order in the API. In the order data object, create an array of order_products.

In the API, you cannot split payments on a single payment product to create an instalment order. And you cannot charge the full price of an instalment product in a single payment order.

When you create an order, you can change the pricing unless the pricing configuration of the product is locked. You can specify custom amounts for discounts, fees, and taxes.


Order status

BillPro creates a payment link and makes the order pending. It does not send an Order is Ready email with the payment link to the customer or a Payment Reminder email.


Taking payments

Send the payment link to the customer by email, or integrate with the BillPro payment link feature to redirect the customer to the BillPro secure checkout.

For CardCorp merchant accounts, when you create an order, you can create a checkout in the payment gateway. You can use the checkout in an iframe integration. See Integrate with custom checkout and payment iframe. If the user doesn't complete the transaction within 25 minutes, the checkout expires. Renew the checkout with the Renew Checkout request.


Notifications

BillPro sends payment reminders for Pending orders. You can change this setting in Payment Reminders.


Cancel old pending orders

Regularly cancel old orders with Pending status from the UI.


Query Params
int32

If you have more than one profile, you must supply the ID of the profile to use

Body Params
order
object
required

Create a single payment order for one or more single payment products

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json